/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VWebApplicationSessionstate;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VWebApplicationSessionstateRecord extends TableRecordImpl<VWebApplicationSessionstateRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for
     * <code>common_dd.v_web_application_sessionstate.application_id</code>.
     */
    public void setApplicationId(Integer value) {
        set(0, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_web_application_sessionstate.application_id</code>.
     */
    public Integer getApplicationId() {
        return (Integer) get(0);
    }

    /**
     * Setter for
     * <code>common_dd.v_web_application_sessionstate.application_name</code>.
     */
    public void setApplicationName(String value) {
        set(1, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_web_application_sessionstate.application_name</code>.
     */
    public String getApplicationName() {
        return (String) get(1);
    }

    /**
     * Setter for
     * <code>common_dd.v_web_application_sessionstate.fk_person_usnr</code>.
     */
    public void setFkPersonUsnr(Integer value) {
        set(2, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_web_application_sessionstate.fk_person_usnr</code>.
     */
    public Integer getFkPersonUsnr() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_web_application_sessionstate.key</code>.
     */
    public void setKey(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_web_application_sessionstate.key</code>.
     */
    public String getKey() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_web_application_sessionstate.value</code>.
     */
    public void setValue(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_web_application_sessionstate.value</code>.
     */
    public String getValue() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VWebApplicationSessionstateRecord
     */
    public VWebApplicationSessionstateRecord() {
        super(VWebApplicationSessionstate.V_WEB_APPLICATION_SESSIONSTATE);
    }

    /**
     * Create a detached, initialised VWebApplicationSessionstateRecord
     */
    public VWebApplicationSessionstateRecord(Integer applicationId, String applicationName, Integer fkPersonUsnr, String key, String value) {
        super(VWebApplicationSessionstate.V_WEB_APPLICATION_SESSIONSTATE);

        setApplicationId(applicationId);
        setApplicationName(applicationName);
        setFkPersonUsnr(fkPersonUsnr);
        setKey(key);
        setValue(value);
        resetChangedOnNotNull();
    }
}
